# mdtraj.principal_moments

mdtraj.principal_moments(traj)

  Compute the principal moments of a trajectory.

  For each frame calculate the eigenvalues of the gyration tensor.

  Parameters:

    traj (Trajectory) – Trajectory to compute gyration tensor of.

  Returns:

    evecs – Principal moments for each frame in ascending order.

  Return type:

    np.ndarray, shape=(traj.n_frames, 3), dtype=float64